## TeplStyleSchemeChooserWidget TeplStyleSchemeChooserWidget — A simple GtkSourceStyleSchemeChooser |

## Functions

TeplStyleSchemeChooserWidget * | tepl_style_scheme_chooser_widget_new ()
gchar * | tepl_style_scheme_chooser_widget_get_style_scheme_id ()
void | tepl_style_scheme_chooser_widget_set_style_scheme_id ()

## Properties

char * | tepl-style-scheme-id | Read / Write

## Types and Values

struct | TeplStyleSchemeChooserWidget

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── TeplStyleSchemeChooserWidget

## Implemented Interfaces

TeplStyleSchemeChooserWidget implements AtkImplementorIface, GtkBuildable and GtkSourceStyleSchemeChooser.

## Includes

    #include <tepl/tepl.h>

## Description

TeplStyleSchemeChooserWidget is a simple implementation of the GtkSourceStyleSchemeChooser interface.

It shows a list with the name and description of each GtkSourceStyleScheme, taken from the default GtkSourceStyleSchemeManager (as returned by `gtk_source_style_scheme_manager_get_default()`).

TeplStyleSchemeChooserWidget contains a GtkScrolledWindow internally. When the “map” signal is emitted, it scrolls to the selected row (useful when the list is long).

There is also an additional convenience property: “tepl-style-scheme-id”.

## Functions

### tepl_style_scheme_chooser_widget_new ()

    TeplStyleSchemeChooserWidget *
    tepl_style_scheme_chooser_widget_new (void);

#### Returns

a new TeplStyleSchemeChooserWidget.

[transfer floating]

Since: 5.0

### tepl_style_scheme_chooser_widget_get_style_scheme_id ()

    gchar *
    tepl_style_scheme_chooser_widget_get_style_scheme_id
                                   (TeplStyleSchemeChooserWidget *chooser);

#### Parameters

chooser | a TeplStyleSchemeChooserWidget. |

#### Returns

the value of the “tepl-style-scheme-id” property. Free with `g_free()` when no longer needed.

Since: 5.0

### tepl_style_scheme_chooser_widget_set_style_scheme_id ()

    void
    tepl_style_scheme_chooser_widget_set_style_scheme_id
                                   (TeplStyleSchemeChooserWidget *chooser,
                                    const gchar *style_scheme_id);

Sets the “tepl-style-scheme-id” property.

The GtkSourceStyleScheme is taken from the default GtkSourceStyleSchemeManager as returned by `gtk_source_style_scheme_manager_get_default()`.

#### Parameters

chooser | a TeplStyleSchemeChooserWidget. |
style_scheme_id | the new value. |

Since: 5.0

## Types and Values

### struct TeplStyleSchemeChooserWidget

    struct TeplStyleSchemeChooserWidget;

## Property Details

### The `“tepl-style-scheme-id”` property

      “tepl-style-scheme-id”     char *

The “style-scheme” ID, as a string. This property is useful for binding it to a GSettings key.

When the “style-scheme” is `NULL`, this property contains the empty string.

Owner: TeplStyleSchemeChooserWidget

Flags: Read / Write

Default value: ""

Since: 5.0